{% extends "lab_7/layout/base.html" %}

{% block content %}
<section name="friend-list" class="friend-list">
    <div class="container">
        <div class="row">
          <div class="col-md-8 col-lg-12">
            <h2>{{ friend.friend_name }} </h2>
          </div>
            <div class="col-md-8 col-lg-12">
                <table width="100%">
                  <tr>
                    <td><h4>NPM</h4></td>
                    <td><h4>{{ friend.npm }}</h4></td>
                  </tr>
                  <tr>
                    <td><h4>Alamat</h4></td>
                    <td><h4 id="alamat">{{ friend.alamat }}</h4></td>
                </tr>
              </table>
            </div>
        </div>
        <div class="container">
          <div id="googleMap" style="width:300px; height:200px; margin: 50px 0"></div>
        </div>
        <div>
        </div>
</section>
{% endblock %}
{% block javascript %}
<script>
      function initMap() {
        // Create a map object and specify the DOM element for display.
        var map = new google.maps.Map(document.getElementById('map'), {
          center: {lat: -34.397, lng: 150.644},
          zoom: 8
        });
      }

    function initMap() {
        var alamat_mhs = $("#alamat").text();
        console.log(alamat_mhs)
        var geocoder = new google.maps.Geocoder();
        geocoder.geocode({
            'address': alamat_mhs
        }, function(results, status) {
            if (status === google.maps.GeocoderStatus.OK) {
                var mapsProperty = {
                    center: results[0].geometry.location,
                    zoom: 15,
                    mapTypeId: google.maps.MapTypeId.HYBRID
                };
                var map = new google.maps.Map(document.getElementById("googleMap"), mapsProperty);
                var marker = new google.maps.Marker({
                    map: map,
                    position: results[0].geometry.location
                });
            } else {
                var html = '<div class="alert alert-danger text-center">\
                              Lokasi tidak ditemukan!\
                            </div>';
                $("#googleMap").append(html)
            }
        });

    }
</script>
<script async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBj5cB8LOdImruV8p4hlgmaYnkDJ0KGFYY&callback=initMap">
</script>
{% endblock %}